/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.dupfinder;

import com.sun.jimi.core.*;
import de.hillenbrand.system.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.GridBagLayout;
import java.io.*;
import java.io.BufferedInputStream;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.net.*;
import java.text.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.ImageIcon;
import jreqtools.*;

class JDupFinderShowFrame extends JFrame {
	String url = null;
	JComponent component = null;
	
	public JDupFinderShowFrame(String filename)  {
		super("JDupFinder: Showing '"+filename+"'");
		
		// Init
		initComponent(filename);
		
		// Properties
		this.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		
		// create and set panel
		final JPanel panel = createContentPanel();
		panel.setBorder(UIPreferences.getFrameBorder());
		setContentPane(panel);
		
		// set bounds
		setBounds(100,100,800,600);
	}

	JPanel createContentPanel()  {
		final JPanel panel = new JPanel(new GridBagLayout());
		final GridBagConstraints c = UIPreferences.getGridBagConstraints();
		
		// Lists
		c.fill = GridBagConstraints.BOTH;
		c.gridx = 0; c.gridy=0; c.gridwidth=1; c.gridheight=1; c.weightx=1; c.weighty=1;
		panel.add(new JScrollPane(component), c);
		
		return panel;
	}

	void initComponent(String filename)  {
		if	 	(filename.toLowerCase().endsWith(".gif"))		component = new JLabel(new ImageIcon(filename));
		else if	(filename.toLowerCase().endsWith(".jpg"))		component = new JLabel(new ImageIcon(filename));
		else if 	(filename.toLowerCase().endsWith(".bmp"))	component = new JLabel(new ImageIcon(Jimi.getImage(filename, Jimi.ONE_SHOT)));
		else if 	(filename.toLowerCase().endsWith(".pcx"))		component = new JLabel(new ImageIcon(Jimi.getImage(filename, Jimi.ONE_SHOT)));
		else if 	(filename.toLowerCase().endsWith(".png"))	component = new JLabel(new ImageIcon(Jimi.getImage(filename, Jimi.ONE_SHOT)));
		else if 	(filename.toLowerCase().endsWith(".tga"))		component = new JLabel(new ImageIcon(Jimi.getImage(filename, Jimi.ONE_SHOT)));
		else if 	(filename.toLowerCase().endsWith(".tif"))		component = new JLabel(new ImageIcon(Jimi.getImage(filename, Jimi.ONE_SHOT)));
		else if 	(filename.toLowerCase().endsWith(".tiff"))		component = new JLabel(new ImageIcon(Jimi.getImage(filename, Jimi.ONE_SHOT)));
		else 
			{
			try { component = new JEditorPane("file://" + filename); } 
			catch (IOException x) { component = new JTextArea(x.toString()); }
			}
	}

}
