/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.util;

import java.io.*;
import java.util.*;

public class FileUtils {
	
	public static final String [] getSubdirectories(String dirname)  {
		File dir = new File(dirname);
		
		String [] subdirs = dir.list(new FilenameFilter() {
			public boolean accept(File d, String f) {
				File test = new File(d, f);
				return test.isDirectory();
			}
		});
		if (subdirs == null) return new String [0];
		
		Sorter.sort(subdirs);
		return subdirs;
	}

	public static final String readStringFromFile(String filename) throws java.io.IOException {
		StringBuffer result = new StringBuffer();
		
		BufferedReader in = new BufferedReader(new FileReader(filename));
		while (true)
			{
			String line = in.readLine();
			if (line == null) break;
			result.append(line);
			result.append('\n');
			}
		in.close();
		
		return result.toString();
	}

}
