/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.util;

import com.sun.jimi.core.*;
import java.io.*;
import java.util.*;

public class ImageUtils {
	
	public static final void convertToJPG(String dirname, String filename)  {
		convertToJPG(dirname, filename, 0);
	}

	public static final void convertToJPG(String dirname, String filename, int maxWidth)  {
		int index = filename.lastIndexOf(".");
		convertToJPG(dirname, filename, filename.substring(0, index) + ".jpg", maxWidth);
	}

	public static final void convertToJPG(String dirname, String filename, String newFilename, int maxWidth)  {
		convertToJPG(dirname, filename, newFilename, maxWidth, 9999);
	}

	public static final void convertToJPG(String dirname, String filename, String newFilename, int maxWidth, int maxHeight)  {
		java.awt.Image img = null;
		
		File source = new File(dirname, filename);
		File destination = new File(dirname, newFilename);
		
		if (! source.exists() || source.lastModified() < destination.lastModified()) return;
		
		try
			{
			System.out.print("Konvertiere \"" + source + "\" nach JPG ... ");
			System.out.flush();
			
			if (maxWidth > 0) 
				img = JimiUtils.getThumbnail(source.toString(), maxWidth, maxHeight, Jimi.VIRTUAL_MEMORY + Jimi.SYNCHRONOUS);
			else 
				img = Jimi.getImage(source.toString());
		
			Jimi.putImage("image/jpg", img, destination.toString());
			}
		catch (Exception x) 
			{ 
			System.out.println("failed: " + x); 
			}
		finally
			{
			System.out.println("done"); 
			}
	}

}
